| dp14 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xdp_selftest_example.c File Reference

## Overview

Contains a design example using the XDp driver.

It performs a self test on the DisplayPort TX/RX core that will compare many of the DisplayPort core's registers against their default reset values.

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   als  01/20/15 Initial creation.
    5.1   ms   01/23/17 Added xil_printf statement in main function to
                        ensure that "Successfully ran" and "Failed" strings
                        are available in all examples. This is a fix for
                        CR-965028.

## Functions
u32 | Dp_SelfTestExample (XDp *InstancePtr, u16 DeviceId)
| The main entry point for the selftest example using the XDp driver. More...
int | main (void)
| This function is the main function of the XDp selftest example. More...

## Function Documentation

u32 Dp_SelfTestExample | ( | XDp * | InstancePtr,
|  | u16 | DeviceId
| ) |  |

The main entry point for the selftest example using the XDp driver.

This function will check whether or not the DisplayPort TX's registers are at their default reset values to ensure that the core is in a known and working state.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  DeviceId | is the unique device ID of the DisplayPort TX core instance.

Returns
  - XST_SUCCESS if the DisplayPort TX's registers are at their default reset values.
  - XST_FAILURE if the DisplayPort TX's registers do not match their default values or no DisplayPort TX instance was found.

Note
  None.

References XDp_Config::BaseAddr, XDp_CfgInitialize(), XDp_LookupConfig(), and XDp_SelfTest().

Referenced by main().

int main | ( | void |  | ) |

This function is the main function of the XDp selftest example.

Parameters

  None. |

Returns
  - XST_SUCCESS if the self test example passed.
  - XST_FAILURE if the self test example was unsuccessful - the DisplayPort TX's registers do not match their default values or no DisplayPort TX instance was found.

Note
  None.

References Dp_SelfTestExample().